Loading...
Searching...
No Matches
Dune::Amg::DefaultConstructionArgs< T > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Construction Arguments for the default smoothers. More...

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::DefaultConstructionArgs< T >:

## Public Member Functions

virtual | ~DefaultConstructionArgs ()
void | setMatrix (const Matrix &matrix)
virtual void | setMatrix (const Matrix &matrix, const AggregatesMap &amap)
const Matrix & | getMatrix () const
void | setArgs (const SmootherArgs &args)
template<class T1>
void | setComm (T1 &comm)
const SequentialInformation & | getComm ()
const SmootherArgs | getArgs () const

## Protected Attributes

const Matrix * | matrix_

## Detailed Description

template<class T>
class Dune::Amg::DefaultConstructionArgs< T >

Construction Arguments for the default smoothers.

The documentation for this class was generated from the following file:

- smoother.hh